dpkg-divert(8)

NOMBRE
dpkg-divert - Redefine la versión de un fichero del paquete

SINOPSIS
dpkg-divert [opción...] orden

DESCRIPCIÓN
dpkg-divert es una herramienta para configurar y actualizar la lista de redirecciones.

La redirección («diversion») de ficheros es una forma de evitar que dpkg instale un fichero en su ubicación, sino que lo instale en una ubicación redirigida. Las redirecciones se pueden usar a través de los scripts en los paquetes Debian para mover un fichero cuando causa un conflicto. Los administradores de sistema pueden usarlo también para redefinir el fichero de configuración de algún paquete, o cuando algunos ficheros (que no están marcados como «conffiles») deben ser preservados por dpkg si se instala una versión nueva del paquete que contiene estos ficheros.

ÓRDENES

[--add] fichero
    Añade una redirección para el fichero.

--remove fichero
    Elimina una redirección para el fichero.

--list comodín
    Lista las redirecciones que encajan con el comodín (patrón «glob»).

--listpackage fichero
    Muestra el nombre del paquete que redirige al fichero. Muestra «LOCAL» si el fichero está redirigido localmente, y nada si el fichero no está redirigido.

--truename fichero
    Muestra el nombre real del fichero redirigido.

OPCIONES

--admindir directorio
    Define el directorio de datos de dpkg como directorio (por omisión: /var/lib/dpkg).

--divert redirigir-a
    redirigir-a es la ubicación donde las versiones del fichero, tal y como otros paquetes lo ofrecen, se redirigirá.

--local
    Especifica que todas las versiones de los paquetes de este fichero se redirigirán. Esto es, sin excepciones, y sin importar qué paquete está instalado, el fichero se redirigirá. El administrador del sistema puede usar esto para instalar una versión modificada localmente.

--package paquete
    paquete es el nombre de un paquete cuya copia del fichero no se redirigirá. Por ejemplo, el fichero se redirigirá para todos los paquetes a excepción de paquete.

--quiet
    Modo silencioso, esto es: sin información detallada.

--rename
    Mueve el archivo a un lado (o atrás). dpkg-divert interrumpirá la operación en caso de que el fichero destino ya exista.

--test
    Modo de prueba, esto es, no realiza ningún cambio, sólo muestra su ejecución.

-?, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

NOTAS
Al añadir redirecciones se usa --local y --divert original.distrib de forma predefinida. Al eliminar, --package o --local deben coincidir con --divert si se definen. Los directorios no se pueden redirigir con dpkg-divert. Debe tener cuidado al redireccionar bibliotecas compartidas, ldconfig (8) crea un enlace simbólico basado en el campo «DT_SONAME» integrado en la biblioteca. Ya que ldconfig no respeta las redirecciones (sólo dpkg lo hace), si una biblioteca redirigida tiene el mismo «SONAME» que la que no está redirigida, es posible que el enlace simbólico acabe apuntando a la biblioteca redirigida.

EJEMPLOS
Para redireccionar todas las copias de /usr/bin/ejemplo a /usr/bin/ejemplo.foo; hará que todos los paquetes que provean /usr/bin/ejemplo lo instalen como /usr/bin/ejemplo.foo, renombrando el fichero en caso de ser necesario.

dpkg-divert --divert /usr/bin/ejemplo.foo --rename /usr/bin/ejemplo

Para eliminar esa redirección:

dpkg-divert --rename --remove /usr/bin/ejemplo

Para redireccionar cualquier paquete que instale /usr/bin/ejemplo como /usr/bin/ejemplo.foo, a excepción de su propio paquete wibble:

dpkg-divert --package wibble --divert /usr/bin/ejemplo.foo --rename /usr/bin/ejemplo

Para eliminar esa redirección:

dpkg-divert --package wibble --rename --remove /usr/bin/ejemplo

ENTORNO

DPKG_ADMINDIR
    Si se define, y no se define la opción --admindir, se utiliza como el directorio de datos de dpkg.

DPKG_MAINTSCRIPT_PACKAGE
    Si se define, y las opciones --local y --package no se definen, dpkg-divert lo utiliza como el nombre de paquete.

FICHEROS

/var/lib/dpkg/diversions
    El fichero que contiene la lista actual de redirecciones en el sistema. Está ubicado en el directorio de administración de dpkg, así como otros ficheros importantes para dpkg, como status o available.
    Nota: dpkg-divert preserva la copia antigua de este archivo, insertando la extensión -old antes de reemplazarlo con uno nuevo.

VÉASE TAMBIÉN
dpkg(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.